Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.servlet
Class ProxyServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.openxri.servlet.ProxyServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class ProxyServlet

extends javax.servlet.http.HttpServlet

Provides a servlet implementation for the XRI resolution protocol

Author:
  =wil, srinivasa.adapa@neustar.com
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_PROXY_CONFIG_CLASS`
`protected static org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `PROXY_CONFIG_CLASS` The class which will provide our configuration

Constructor Summary
`ProxyServlet()`

Method Summary
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `init()`
`void` | `init(ProxyConfig oConfig)` Initializes the servlet based on a ProxyConfig

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### PROXY_CONFIG_CLASS

    public static final java.lang.String PROXY_CONFIG_CLASS

  The class which will provide our configuration

  See Also:
    Constant Field Values

### DEFAULT_PROXY_CONFIG_CLASS

    public static final java.lang.String DEFAULT_PROXY_CONFIG_CLASS

Constructor Detail

### ProxyServlet

    public ProxyServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### init

    public void init(ProxyConfig oConfig)
              throws ProxyException

  Initializes the servlet based on a ProxyConfig

  Throws:
    `ProxyException`

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.